commit:     513a3ec240d0f8ac74b597e974f8dd5775566623
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 15 23:00:34 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Fri Nov 15 23:00:55 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=513a3ec2

dev-python/jinja: Version bump to 2.10.3

Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/jinja/Manifest            |  1 +
 dev-python/jinja/jinja-2.10.3.ebuild | 76 ++++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-python/jinja/Manifest b/dev-python/jinja/Manifest
index 50c6a9cbcc4..853323e2673 100644
--- a/dev-python/jinja/Manifest
+++ b/dev-python/jinja/Manifest
@@ -1 +1,2 @@
 DIST jinja-2.10.1.tar.gz 267828 BLAKE2B 
0cd7e2880f1d41f3a6aafa0878343c2ff017099de6b2ad607baa3c9cba9d58c9241e1ba65cc23ea16244a1b3ea8720933f45f1061811e5f1abdcd881c4017bce
 SHA512 
71c90be0b2aeefaa80279cba55f7827b5a42455f9dc55de9ca7e9e3e363678caa357426955267542f3c8a9b775e61aca55e439af192ed0a67f592be4ef91aff6
+DIST jinja-2.10.3.tar.gz 266316 BLAKE2B 
0d8c10bb866eb887fd1c88ca5c5304f46d27930d8426587185ea72c0b79b512919bd5fa75987c26e433be049fd5764fb4ec08d42a4ec5ed00510fe8051e10f5e
 SHA512 
566b781218b533c16b107b57e0252da5947fad262fd8d3fbb134b5916939c5e5d31c95e34bd6b14eec333d2ba3b4a6faa4168497a1ac774e7044f8220ac1b06e

diff --git a/dev-python/jinja/jinja-2.10.3.ebuild 
b/dev-python/jinja/jinja-2.10.3.ebuild
new file mode 100644
index 00000000000..def83f0e623
--- /dev/null
+++ b/dev-python/jinja/jinja-2.10.3.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="A full-featured template engine for Python"
+HOMEPAGE="http://jinja.pocoo.org/ https://pypi.org/project/Jinja2/";
+
+# pypi tarball is missing tests
+SRC_URI="https://github.com/pallets/jinja/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       !dev-python/jinja:compat"
+RDEPEND="${CDEPEND}
+       dev-python/markupsafe[${PYTHON_USEDEP}]"
+BDEPEND="${CDEPEND}
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+# XXX: handle Babel better?
+
+wrap_opts() {
+       local mydistutilsargs=()
+
+       if [[ ${EPYTHON} == python* ]]; then
+               mydistutilargs+=( --with-debugsupport )
+       fi
+
+       "${@}"
+}
+
+python_prepare() {
+       # async is not supported on python2
+       if ! python_is_python3; then
+               rm -f jinja2/async*.py || die "Failed to remove async from 
python2"
+       fi
+}
+
+python_compile() {
+       wrap_opts distutils-r1_python_compile
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       if use examples ; then
+               docinto examples
+               dodoc -r examples/.
+       fi
+
+       distutils-r1_python_install_all
+
+       insinto /usr/share/vim/vimfiles/syntax
+       doins ext/Vim/*
+}
+
+pkg_postinst() {
+       if ! has_version dev-python/Babel; then
+               elog "For i18n support, please emerge dev-python/Babel."
+       fi
+}

Reply via email to